[arch-commits] Commit in x2vnc/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Mon Apr 20 22:15:45 EDT 2009


    Date: Monday, April 20, 2009 @ 22:15:45
  Author: eric
Revision: 36338

Merged revisions 356,4528,36331 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/x2vnc/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4528 | ronald | 2008-07-07 18:12:32 -0400 (Mon, 07 Jul 2008) | 1 line
  
  fix license
........
  r36331 | eric | 2009-04-20 21:58:16 -0400 (Mon, 20 Apr 2009) | 2 lines
  
  upgpkg: x2vnc 1.7.2-2
      Fixed license, FHS man pages
........

Modified:
  x2vnc/repos/extra-i686/	(properties)
  x2vnc/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: x2vnc/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /x2vnc/trunk:1
   + /x2vnc/trunk:1-36337

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-21 02:12:42 UTC (rev 36337)
+++ extra-i686/PKGBUILD	2009-04-21 02:15:45 UTC (rev 36338)
@@ -4,18 +4,19 @@
 
 pkgname=x2vnc
 pkgver=1.7.2
-pkgrel=1
+pkgrel=2
 pkgdesc="Lets you use two monitors on two different computers one one computer"
 arch=(i686 x86_64)
+url="http://fredrik.hubbe.net/x2vnc.html"
+license=('GPL')
 depends=('libsm' 'libxinerama' 'libxss' 'libxrandr' 'libxxf86dga')
-url="http://fredrik.hubbe.net/x2vnc.html"
 source=(http://fredrik.hubbe.net/x2vnc/$pkgname-$pkgver.tar.gz)
 md5sums=('f23f86bcfa12a80eaeb886ab9b3ee447')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
-  mkdir -p $startdir/pkg/usr/bin $startdir/pkg/usr/man/man1
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+  install -d $pkgdir/usr/{bin,share/man/man1}
   make || return 1
-  make prefix=$startdir/pkg/usr install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list